org.apache.xmlgraphics.util.dijkstra

## Interface Vertex

- All Superinterfaces:
    java.lang.Comparable
  All Known Implementing Classes:
    ImageRepresentation

      public interface Vertex
      extends java.lang.Comparable

  Represents a vertex to be used by `DijkstraAlgorithm`. If you want to represent a city, you can do "public class City implements Vertex". The purpose of this interface is to make sure the Vertex implementation implements the Comparable interface so the sorting order is well-defined even when two vertices have the same penalty/distance from an origin point. Therefore, make sure you implement the `compareTo(Object)` and `equals(Object)` methods.

- - ### Method Summary

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.